This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 166318 - Review request: perl-Font-AFM - Font::AFM Perl module
Review request: perl-Font-AFM - Font::AFM Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
David Lawrence
http://search.cpan.org/dist/Font-AFM/
:
Depends On:
Blocks: FE-ACCEPT 166320
  Show dependency treegraph
 
Reported: 2005-08-18 23:18 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 14:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Use Fedorafied defaults paths for finding *.afm (1.59 KB, patch)
2005-08-19 11:19 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2005-08-18 23:18:32 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Font-AFM.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Font-AFM-1.19-1.src.rpm

Description:
Interface to Adobe Font Metrics files
Comment 1 Ville Skyttä 2005-08-19 11:13:23 EDT
IMO, the default path where to look *.afm for could use some tweaking to work   
better OOTB on a Fedora box.  Will attach a suggested patch in a jiffy.   
   
For better test coverage, could do:   
  BuildRequires: a2ps   
  %{__perl} -pi -e 's/"Helvetica"/"phvr"/' t/afm.t  
...and if the attached patch is not applied:  
  METRICS=%{_datadir}/a2ps/afm make test  
  
Summary could be improved somewhat, too, eg.  "Perl interface to Adobe Font 
Metrics files" 
    
Comment 2 Ville Skyttä 2005-08-19 11:19:08 EDT
Created attachment 117916 [details]
Use Fedorafied defaults paths for finding *.afm

The actual list in this was semi-arbitrarily chosen by looking at the "locate
.afm" output on my box, no strong opinions.  /usr/share/enscript could be
added, but I'm guessing it'll be updated sometime soonish, and enscript 1.6.4
has its *.afm in /usr/share/enscript/afm, not /usr/share/enscript like 1.6.1
does.
Comment 3 Ralf Corsepius 2005-08-20 01:45:29 EDT
I am a bit ambivalent on your proposals.

The testsuite related bits seem a nice trick to get the testsuite fully working.
I'll adopt them.

But I am hesitant on the METRICS (Default-afm search paths) related bits.

On one hand, the original default search path is completely useless on FC, so
changing it to a more useful setup doesn't do much harm, on the other hand this
easily could evolve into a maintainance nightmare should people want it to be
updated whenever an arbitary package carrying afm's is added or changed (cf your
enscript example).

Also, I crosschecked the corresponding Debian and SuSE packages. Both use the
original defaults and did not try to modify them.

I am not yet sure how to handle this.
Comment 4 Ville Skyttä 2005-08-20 05:15:11 EDT
I checked freebsd and gentoo too, and they don't modify it either. 
 
So it boils down to whether the default value in the unmodified AFM.pm is 
useful on the majority of OS's; if not, applications using it will have to 
take it into account anyway some way, and thus having a better default value 
here won't help much.  On the other hand, then it might be that instead of 
having a better defaults here, there could be several applications using 
Font::AFM that would need modification, which is probably even worse regarding 
maintenance. 
 
Also, the *.afm filenames seem to vary pretty much between the packages that 
provide them, like the test suite here expecting to find Helvetica.afm, which 
is shipped at least with the name Helvetica.afm in some OpenOffice's dirs, 
phvr.afm in a2ps and hv.afm in enscript. 
 
So, pick your poison, I don't see the default paths being a blocker, modified 
or unmodified, so consider this approved.  The test suite coverage and summary 
improvement bits should be committed, though. 
Comment 5 Ville Skyttä 2005-08-25 14:05:40 EDT
Closing, package is in repo and owners.list. 

Note You need to log in before you can comment on or make changes to this bug.